Bug 115100 - netstat does not handle the --numeric-ports switch correctly
netstat does not handle the --numeric-ports switch correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-tools (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 12:26 EST by Richard Cunningham
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-242
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 11:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Cunningham 2004-02-06 12:26:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
when using netstat with the --numeric-ports the output also has
numeric hostnames which it explicitly says in the man page it should
not do.



Version-Release number of selected component (if applicable):
1.60-20

How reproducible:
Always

Steps to Reproduce:
1. type netstat -l --numeric-ports
2. compare with output of netstat -l
3. read man page
    

Actual Results:  $ netstat -l --numeric-ports
Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address           Foreign Address         State
tcp        0      0 0.0.0.0:32768           0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:2049            0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:32769         0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:707             0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:32776           0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:111             0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:6000            0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:689             0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:22              0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:631           0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:25            0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:6010          0.0.0.0:*               LISTEN
udp        0      0 0.0.0.0:32768           0.0.0.0:*
udp        0      0 0.0.0.0:2049            0.0.0.0:*
udp        0      0 0.0.0.0:32770           0.0.0.0:*
udp        0      0 0.0.0.0:686             0.0.0.0:*
udp        0      0 0.0.0.0:826             0.0.0.0:*
udp        0      0 0.0.0.0:704             0.0.0.0:*
udp        0      0 0.0.0.0:68              0.0.0.0:*
udp        0      0 0.0.0.0:111             0.0.0.0:*
udp        0      0 0.0.0.0:631             0.0.0.0:*
Active UNIX domain sockets (only servers)
Proto RefCnt Flags       Type       State         I-Node Path
unix  2      [ ACC ]     STREAM     LISTENING     5112   /tmp/.gdm_socket
unix  2      [ ACC ]     STREAM     LISTENING     4339  
/tmp/.font-unix/fs7100
unix  2      [ ACC ]     STREAM     LISTENING     4305   /dev/gpmctl
unix  2      [ ACC ]     STREAM     LISTENING     14382  /tmp/.X11-unix/X0


Expected Results:  $ netstat -l --numeric-ports
Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address           Foreign Address         State
tcp        0      0 *:32768           *:*               LISTEN
tcp        0      0 *:2049            *:*               LISTEN
tcp        0      0 localhost:32769         *:*               LISTEN
tcp        0      0 *:707             *:*               LISTEN
tcp        0      0 *:32776           *:*               LISTEN
tcp        0      0 *:111             *:*               LISTEN
tcp        0      0 *:6000            *:*               LISTEN
tcp        0      0 *:689             *:*               LISTEN
tcp        0      0 *:22              *:*               LISTEN
tcp        0      0 localhost:631           *:*               LISTEN
tcp        0      0 localhost:25            *:*               LISTEN
tcp        0      0 localhost:6010          *:*               LISTEN
udp        0      0 *:32768                 *:*
udp        0      0 *:2049                  *:*
udp        0      0 *:32770           *:*
udp        0      0 *:686             *:*
udp        0      0 *:826             *:*
udp        0      0 *:704             *:*
udp        0      0 *:68              *:*
udp        0      0 *:111             *:*
udp        0      0 *:631             *:*
Active UNIX domain sockets (only servers)
Proto RefCnt Flags       Type       State         I-Node Path
unix  2      [ ACC ]     STREAM     LISTENING     5112   /tmp/.gdm_socket
unix  2      [ ACC ]     STREAM     LISTENING     4339  
/tmp/.font-unix/fs7100
unix  2      [ ACC ]     STREAM     LISTENING     4305   /dev/gpmctl
unix  2      [ ACC ]     STREAM     LISTENING     14382  /tmp/.X11-unix/X0


Additional info:

this is also a problem in exactly the same way in RedHat 9
Comment 1 Radek Vokal 2004-11-25 09:04:41 EST
Fixed in net-tools-1.60-41 for FC3 - will be backported to RHEL later .. 
Comment 2 John Flanagan 2005-04-28 11:36:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-052.html
Comment 3 Tim Powers 2005-05-19 14:48:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-445.html

Note You need to log in before you can comment on or make changes to this bug.